THREATINT

We use these services and cookies to improve your user experience. You may opt out if you wish, however, this may limit some features on this site.

Please see our statement on Data Privacy.

Zendesk (Helpdesk and Chat)

Ok

PUBLISHED

CVE-2019-17567

mod_proxy_wstunnel tunneling of non Upgraded connections

Reserved:2019-10-14
Published:2021-06-10
Updated:2024-06-10

Description

Apache HTTP Server versions 2.4.6 to 2.4.46 mod_proxy_wstunnel configured on an URL that is not necessarily Upgraded by the origin server was tunneling the whole connection regardless, thus allowing for subsequent requests on the same connection to pass through with no HTTP validation, authentication or authorization possibly configured.


Problem types

mod_proxy_wstunnel tunneling of non Upgraded connections

Product status

2.4.46
affected

2.4.43
affected

2.4.41
affected

2.4.39
affected

2.4.38
affected

2.4.37
affected

2.4.35
affected

2.4.34
affected

2.4.33
affected

2.4.29
affected

2.4.28
affected

2.4.27
affected

2.4.26
affected

2.4.25
affected

2.4.23
affected

2.4.20
affected

2.4.18
affected

2.4.17
affected

2.4.16
affected

2.4.12
affected

2.4.10
affected

2.4.9
affected

2.4.7
affected

2.4.6
affected

Credits

Reported by Mikhail Egorov (<0ang3el gmail.com>)

References

http://httpd.apache.org/security/vulnerabilities_24.html

https://lists.apache.org/thread.html/re026d3da9d7824bd93b9f871c0fdda978d960c7e62d8c43cba8d0bf3%40%3Ccvs.httpd.apache.org%3E

https://lists.apache.org/thread.html/r90f693a5c9fb75550ef1412436d5e682a5f845beb427fa6f23419a3c%40%3Cannounce.httpd.apache.org%3E ([httpd-announce] 20210609 CVE-2019-17567: mod_proxy_wstunnel tunneling of non Upgraded connections) mailing-list

https://lists.apache.org/thread.html/r7f2b70b621651548f4b6f027552f1dd91705d7111bb5d15cda0a68dd%40%3Cdev.httpd.apache.org%3E ([httpd-dev] 20210610 Re: svn commit: r1890598 - in /httpd/site/trunk/content/security/json: CVE-2019-17567.json CVE-2020-13938.json CVE-2020-13950.json CVE-2020-35452.json CVE-2021-26690.json CVE-2021-26691.json CVE-2021-30641.json CVE-2021-31618.json) mailing-list

http://www.openwall.com/lists/oss-security/2021/06/10/2 ([oss-security] 20210609 CVE-2019-17567: Apache httpd: mod_proxy_wstunnel tunneling of non Upgraded connections) mailing-list

https://security.gentoo.org/glsa/202107-38 (GLSA-202107-38) vendor-advisory

https://lists.fedoraproject.org/archives/list/package-announce%40lists.fedoraproject.org/message/SPBR6WUYBJNACHKE65SPL7TJOHX7RHWD/ (FEDORA-2021-dce7e7738e) vendor-advisory

https://lists.fedoraproject.org/archives/list/package-announce%40lists.fedoraproject.org/message/ZNCYSR3BXT36FFF4XTCPL3HDQK4VP45R/ (FEDORA-2021-e3f6dd670d) vendor-advisory

https://www.oracle.com/security-alerts/cpuoct2021.html

https://security.netapp.com/advisory/ntap-20210702-0001/

https://lists.debian.org/debian-lts-announce/2024/05/msg00013.html ([debian-lts-announce] 20240525 [SECURITY] [DLA 3818-1] apache2 security update) mailing-list

cve.org CVE-2019-17567

nvd.nist.gov CVE-2019-17567

Download JSON

Share this page
https://cve.threatint.com/CVE/CVE-2019-17567